%define upstream_name    Gtk2-WebKit
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Web content engine library for Gtk2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Gtk2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Gtk2)
BuildRequires: webkitgtk-devel >= 1.2.0-3
# for tests:
BuildRequires: x11-server-xvfb
BuildRequires: perl-devel

%{?perl_default_filter}


%description
WebKit is a web content engine, derived from KHTML and KJS from KDE, and
used primarily in Apple's Safari browser. It is made to be embedded in
other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

#%check
#XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
#%{_bindir}/Xvfb -screen 0 1600x1200x24 :$XDISPLAY &
#export DISPLAY=:$XDISPLAY
#make test
#kill $(cat /tmp/.X$XDISPLAY-lock)

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-15.mga6
+ Revision: 1028144
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.90.0-14.mga6
+ Revision: 962022
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 0.90.0-13.mga6
+ Revision: 843531
- rebuild with soname-ified perl

* Tue Jun 23 2015 tv <tv> 0.90.0-12.mga6
+ Revision: 841020
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-11.mga5
+ Revision: 742233
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-10.mga5
+ Revision: 732238
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-9.mga5
+ Revision: 684919
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 tv <tv> 0.90.0-8.mga5
+ Revision: 632074
- rebuild for new perl

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-7.mga4
+ Revision: 524127
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.90.0-6.mga4
+ Revision: 430124
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-5.mga4
+ Revision: 367957
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.90.0-4.mga3
+ Revision: 250750
- rebuild for perl 5.16

* Sat Aug 27 2011 fwang <fwang> 0.90.0-3.mga2
+ Revision: 135782
- rebuild

* Mon Jun 20 2011 dmorgan <dmorgan> 0.90.0-2.mga2
+ Revision: 110762
- Rebuild against new webkit

* Sun Jun 12 2011 ahmad <ahmad> 0.90.0-1.mga2
+ Revision: 104495
- Update to 0.09

* Wed Mar 16 2011 ahmad <ahmad> 0.80.0-5.mga1
+ Revision: 72936
- as per discussion in mga bug 383, rebuild against the stable webkit-1.2.x

* Wed Mar 16 2011 misc <misc> 0.80.0-4.mga1
+ Revision: 72641
- fix bug 383, rebuild against latest webkit ( patch by tv )

* Mon Jan 24 2011 jquelin <jquelin> 0.80.0-3.mga1
+ Revision: 36358
- mageia rebuild
- imported package perl-Gtk2-WebKit

